%define aurox_ver 9.4
%define rel 1


%define __libtoolize    /bin/true

%define name    kgst

%define version 0.6.1

# for then menu
#%define section # http://www.linux-mandrake.com/en/howtos/mdk-rpm/mdk-menu-structure.html

#%define title   # %name with first letter capitalized.

%define longtitle KDE GStreamer bindings

Summary:        %longtitle
Name:           %name
Version:        %version
Release: %{aurox_ver}.aur.%{rel}
License:        GPL
Group:          Sound
URL:            http://developer.kde.org/~wheeler/files/src
Source0:        http://developer.kde.org/~wheeler/files/src/kgst-%version.tar.gz


BuildRoot:      %_tmppath/%name-buildroot
Buildrequires: kdelibs-devel >= 3.1 arts-devel >= 1.1
Buildrequires: gstreamer-plugins-devel >= 0.6.0
Buildrequires: pkgconfig >= 0.15.0

%description
KDE GStreamer bindings.


%package devel
Summary:        Devel file.
Group:          Sound
Requires:       %name = 0.6.1
Provides:       kgst-devel

%description -n %name-devel
Devel file for %name.

%prep

%setup -q -n kgst-%version


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure
make CXXFLAGS='-std=c99'


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS INDEX COPYING README INSTALL
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la
%_includedir/kde/gst/*
%_includedir/kde/gstplay/*

%changelog
* Tue Oct 28 2003 Cameron Hart <cam@bitshifter.net.nz> 0.6.1-1mdk
- Initial Mandrake RPM.
